.frag:not(:target) { 
    display: none; 
}

#home-pls:has(~ .frag:target) { 
    display: none; 
}

@font-face {
    font-family: jetMono;
    src: url(https://file.garden/aZIs8P3ch2qR4upS/JetBrainsMono-Regular.ttf);
}

@font-face {
  font-family: 'Material Symbols Outlined';
  font-style: normal;
  font-weight: 400;
  src: url(https://fonts.gstatic.com/s/materialsymbolsoutlined/v367/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDCvHOej.woff2) format('woff2');
}

/* Variables */
:root[data-theme="light"] {
    --bg-color: #e6e8e6;
    --radius-color: #ced0ce;
    --text: #191919;
    --accent: #f15025;
    --innerHTML: 'dark_mode';
}

:root[data-theme="dark"] {
   --bg-color: #191919;
    --radius-color: #282828;
    --text: #e6e8e6;
    --accent: #f15025;
    --innerHTML: 'light_mode';
}

body {
    background-color: var(--bg-color);
    color: var(--text);
    padding: 20px;
    gap: 5px;
    font-family: jetMono;
    transition: 0.2s ease;
}

h1, p, button, input {
    margin: 0;
}

a {
    color: var(--text);
}

a:hover {
    font-style: italic;
}

button, summary {
    cursor: pointer;
}

hr {
    color: var(--radius-color);
    border-color: var(--radius-color);
    border-style: solid;
}

.container {
    overflow: auto;
    width: 80%;
    max-width: 1000px;
    height: 100%;
    border-style: solid;
    padding: 20px;
    border-width: 2px;
    border-color: var(--radius-color);
    background-color: var(--bg-color);
    box-shadow: 4px 4px var(--radius-color);
    transition: 0.2s ease;
}

.container:hover {
    transform:translateY(-5px);
}

.header {
    width: max-width;
    color: var(--accent);
}

input[type=number], button {
    margin: 4px 0 4px 0;
    font-family: jetMono;
    padding: 6px;
    color: var(--text);
    border-radius: 0;
    border-style: solid;
    border-color: var(--radius-color);
    background-color: var(--bg-color);
}

input[type=number] {
    text-align: center;
}

input[type=number]::-webkit-inner-spin-button { /* Hide spinbutton */
  -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
    appearance: textfield;
    margin: 0;
}

#darkMode {
    font-size: 24px;
    font-family: 'Material Symbols Outlined';
    display: flex;
    justify-content: center;
    align-items: center;
    float: right;
    height: 42px;
    width: 42px;
    margin: 0;
    border-radius: 0;
    border-style: solid;
    border-color: var(--radius-color);
    background-color: var(--bg-color);
    color: var(--text);
}

#darkMode::after { /* So the content inside the button saves too! */
    content: var(--innerHTML);
}

/* seek. slider styling */
#seekingSlider {
    cursor: pointer;
    -webkit-appearance: none;
    appearance: none;
    border-radius: 10px;
    background: var(--radius-color);
    position: relative;
    padding: 0;
    width: 150px;
}

button, #darkMode {
    transition: 0.2s ease;
}

button:hover, #darkMode:hover {
    background-color: var(--radius-color);
}

#buttonISV {
    color: #e6e8e6;
    background-color: var(--accent);
    border-color: var(--accent);
    transition: 0.2s ease;
}

#buttonISV:hover {
    filter: brightness(130%);
}

#buttonISV:active {
    filter: brightness(80%);
}

.row {
    display: flex;
    flex-direction: row;
    gap: 10%;
}

.container > #time {
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

mark {
    background-color: var(--accent);
    color: #e6e8e6;
}

/* srry this doesnt work on chr*me */
#seekingSlider::-moz-range-progress { 
    position: relative;
    background-color: var(--accent);
    height: 1em;
    border-radius: 6px;
}